Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1267967 - core: use syscall wrappers instead of making direct syscalls
Summary: core: use syscall wrappers instead of making direct syscalls
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1289258
TreeView+ depends on / blocked
 
Reported: 2015-10-01 13:18 UTC by Kaleb KEITHLEY
Modified: 2016-06-16 13:39 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1289258 (view as bug list)
Environment:
Last Closed: 2016-06-16 13:39:10 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2015-10-01 13:18:00 UTC
Description of problem:

various xlators and other components are invoking system calls directly instead of using the libglusterfs/syscall.[ch] wrappers

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results

If not using the system call wrappers there should be a comment in the source as to why the wrapper isn't used.


Additional info:

Comment 1 Vijay Bellur 2015-10-15 14:04:54 UTC
REVIEW: http://review.gluster.org/12365 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 2 Vijay Bellur 2015-10-15 14:07:07 UTC
REVIEW: http://review.gluster.org/12366 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 3 Vijay Bellur 2015-10-15 14:15:45 UTC
REVIEW: http://review.gluster.org/12276 (core: use syscall wrappers instead of direct syscalls - miscellaneous) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 4 Vijay Bellur 2015-10-16 13:16:27 UTC
REVIEW: http://review.gluster.org/12372 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+1/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 5 Vijay Bellur 2015-10-16 13:19:02 UTC
REVIEW: http://review.gluster.org/12373 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+2/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 6 Vijay Bellur 2015-10-16 17:31:53 UTC
REVIEW: http://review.gluster.org/12377 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+2/2+1/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 7 Vijay Bellur 2015-10-16 17:32:59 UTC
REVIEW: http://review.gluster.org/12378 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+2/2+2/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 8 Vijay Bellur 2015-10-16 17:54:50 UTC
REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/x) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 9 Vijay Bellur 2015-10-19 12:08:16 UTC
REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/x) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 10 Vijay Bellur 2015-10-19 12:17:11 UTC
REVIEW: http://review.gluster.org/12389 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/x) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 11 Vijay Bellur 2015-10-20 12:49:03 UTC
REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/x) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 12 Vijay Bellur 2015-10-21 11:22:10 UTC
REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 13 Vijay Bellur 2015-10-21 16:02:40 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls -- test) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 14 Vijay Bellur 2015-10-21 16:11:25 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls -- test) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 15 Vijay Bellur 2015-10-21 16:27:42 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 16 Vijay Bellur 2015-10-21 18:29:15 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 17 Vijay Bellur 2015-10-21 18:37:58 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 18 Vijay Bellur 2015-10-21 18:45:16 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 19 Vijay Bellur 2015-10-21 18:50:39 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#7) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 20 Vijay Bellur 2015-10-21 18:55:15 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#8) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 21 Vijay Bellur 2015-10-21 19:00:54 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#9) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 22 Vijay Bellur 2015-10-21 19:12:14 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#10) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 23 Vijay Bellur 2015-10-21 19:19:59 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#11) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 24 Vijay Bellur 2015-10-21 19:25:37 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#12) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 25 Vijay Bellur 2015-10-21 19:34:40 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#13) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 26 Vijay Bellur 2015-10-21 19:41:55 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#14) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 27 Vijay Bellur 2015-10-21 19:49:35 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#15) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 28 Vijay Bellur 2015-10-21 20:13:17 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#16) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 29 Vijay Bellur 2015-10-22 12:14:43 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#17) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 30 Vijay Bellur 2015-10-22 12:31:12 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#18) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 31 Vijay Bellur 2015-10-22 13:29:33 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#19) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 32 Vijay Bellur 2015-10-22 13:50:55 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#20) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 33 Vijay Bellur 2015-10-22 13:58:04 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#21) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 34 Vijay Bellur 2015-10-22 14:05:30 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#22) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 35 Vijay Bellur 2015-10-22 14:11:57 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#23) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 36 Vijay Bellur 2015-10-27 12:51:04 UTC
REVIEW: http://review.gluster.org/12276 (core: use syscall wrappers instead of direct syscalls - miscellaneous) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 37 Vijay Bellur 2015-10-27 12:54:43 UTC
REVIEW: http://review.gluster.org/12273 (core: use syscall wrappers instead of direct syscalls) posted (#2) for review on master by Venky Shankar (vshankar@redhat.com)

Comment 38 Vijay Bellur 2015-10-28 13:55:08 UTC
COMMIT: http://review.gluster.org/12379 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 063d4ead61ee47433793de81a1c77e0ba69e6e07
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Fri Oct 16 13:52:28 2015 -0400

    core: use syscall wrappers instead of direct syscalls -- glusterd
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I28bf2a5f7730b35914e7ab57fed91e1966b30073
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12379
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 39 Vijay Bellur 2015-10-28 14:12:14 UTC
REVIEW: http://review.gluster.org/12273 (core: use syscall wrappers instead of direct syscalls) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 40 Vijay Bellur 2015-10-28 14:14:32 UTC
REVIEW: http://review.gluster.org/12276 (core: use syscall wrappers instead of direct syscalls - miscellaneous) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 41 Vijay Bellur 2015-10-28 20:38:46 UTC
COMMIT: http://review.gluster.org/12276 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 3066a21caafab6305527991de11c8eb43ec0044c
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Oct 1 16:31:19 2015 -0400

    core: use syscall wrappers instead of direct syscalls - miscellaneous
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I1f47820534c890a00b452fa61f7438eb2b3f667c
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12276
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 42 Vijay Bellur 2015-10-28 23:34:58 UTC
COMMIT: http://review.gluster.org/12273 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 36ea43b93b8476595ac22da031bc42a807ccc852
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Oct 1 16:16:52 2015 -0400

    core: use syscall wrappers instead of direct syscalls
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I8ef94c48728666465abf126c778b70c9e5c00e47
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12273
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 43 Vijay Bellur 2015-11-16 14:18:16 UTC
COMMIT: http://review.gluster.org/12275 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 2099cc875a4d20ab1bb12b1c33da16c95968e202
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Oct 1 16:28:58 2015 -0400

    core: use syscall wrappers instead of direct syscalls - libglusterfs
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: Ieeca2d36adbc884e4cfa0026dba40df70310d40b
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12275
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 44 Vijay Bellur 2015-11-16 14:36:14 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#24) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 45 Vijay Bellur 2015-11-16 15:56:56 UTC
REVIEW: http://review.gluster.org/12589 (core: use syscall wrappers instead of direct syscalls - tail) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 46 Vijay Bellur 2015-11-16 15:58:50 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#25) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 47 Vijay Bellur 2015-11-16 23:20:31 UTC
COMMIT: http://review.gluster.org/12589 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 1d0a0d180b34961ce03352283c5cb1f0c1561d88
Author: Kaleb S KEITHLEY <kkeithle@redhat.com>
Date:   Mon Nov 16 10:54:01 2015 -0500

    core: use syscall wrappers instead of direct syscalls - tail
    
    tail, as in dog chasing its tail. These are the unwrapped
    syscalls that have crept in (or were missed) in the previous
    patches.
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: If183487de92fc7cbc47d4c5aa3f3e80eae50b84f
    BUG: 1267967
    Signed-off-by: Kaleb S KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12589
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 48 Vijay Bellur 2015-11-16 23:20:34 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#26) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 49 Vijay Bellur 2015-11-16 23:42:47 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#27) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 50 Vijay Bellur 2015-11-16 23:52:27 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#28) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 51 Vijay Bellur 2015-11-17 00:00:25 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#29) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 52 Vijay Bellur 2015-11-17 00:10:10 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#30) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 53 Vijay Bellur 2015-11-17 00:17:10 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#31) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 54 Vijay Bellur 2015-11-17 00:22:20 UTC
REVIEW: http://review.gluster.org/12590 (core: use syscall wrappers instead of direct syscalls - tail(2)) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 55 Vijay Bellur 2015-11-17 03:15:31 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#32) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 56 Vijay Bellur 2015-11-17 08:43:06 UTC
COMMIT: http://review.gluster.org/12590 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 9f2a81c4796c61c42660ff3407ca12ec4f137593
Author: Kaleb S KEITHLEY <kkeithle@redhat.com>
Date:   Mon Nov 16 19:20:22 2015 -0500

    core: use syscall wrappers instead of direct syscalls - tail(2)
    
    tail, as in dog chasing its tail. These are the unwrapped
    syscalls that have crept in (or were missed) in the previous
    patches.
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I6015f97109c4250a5a049496a214d19835e4ae19
    BUG: 1267967
    Signed-off-by: Kaleb S KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12590
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 57 Vijay Bellur 2015-11-17 08:43:54 UTC
REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#33) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 58 Vijay Bellur 2015-11-17 14:30:39 UTC
COMMIT: http://review.gluster.org/12410 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 052bdb5899bb723b6d375c66ab2ceab028adab06
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Wed Oct 21 12:00:03 2015 -0400

    core: use syscall wrappers instead of direct syscalls - regression test
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: Id2207deb81a75e1af6f34bf857e74725f8bb532f
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12410
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

Comment 59 Vijay Bellur 2016-04-12 09:30:02 UTC
REVIEW: http://review.gluster.org/13976 (tests: fix syntax error in 0symbol-check.t) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 60 Vijay Bellur 2016-04-15 23:11:57 UTC
COMMIT: http://review.gluster.org/13976 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit b223a674f2c300fecb7043e11f80c8e33309f4d3
Author: Niels de Vos <ndevos@redhat.com>
Date:   Tue Apr 12 11:27:08 2016 +0200

    tests: fix syntax error in 0symbol-check.t
    
    While running the tests, 0symbol-check.t gives the following syntax
    error:
    
        tests/basic/0symbol-check.t: line 25: [: missing `]'
    
    BUG: 1267967
    Change-Id: Iba454387ebdfa75872036ebe168115500c85d0b1
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/13976
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 61 Niels de Vos 2016-06-16 13:39:10 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.